Description: increase the difference range on riscv64
 workaround on riscv64 because it is slow at this moment 
Author: Bo YU <vimer@debian.org>
Bug: https://buildd.debian.org/status/fetch.php?pkg=python-cassandra-driver&arch=riscv64&ver=3.29.2-4&stamp=1739528871&raw=0
Last-Update: 2025-02-18
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
Index: b/tests/unit/test_metadata.py
===================================================================
--- a/tests/unit/test_metadata.py
+++ b/tests/unit/test_metadata.py
@@ -18,6 +18,7 @@
 from unittest.mock import Mock
 import os
 import timeit
+import platform
 
 import cassandra
 from cassandra.cqltypes import strip_frozen
@@ -268,7 +269,10 @@
         nts.make_token_replica_map(token_to_host_owner, ring)
         elapsed_bad = timeit.default_timer() - start_time
         difference = elapsed_bad - elapsed_base
-        self.assertTrue(difference < 1 and difference > -1)
+        if platform.machine() == 'riscv64':
+            self.assertTrue(difference < 2 and difference > -2)
+        else:
+            self.assertTrue(difference < 1 and difference > -1)
 
     def test_nts_make_token_replica_map_multi_rack(self):
         token_to_host_owner = {}
